Subject: Re: [MMUSIC] Review Request - draft-nandakumar-mmusic-sdp-mux-attributes-02 - (RFC3407 Related)

From: Flemming Andreasen <[email-masked]>
Date: Sun, 14 Jul 2013 20:50:35 -0400

Section 5.20 (RFC 3407), refers to the following attributes with their 
category shown in brackets (note: changed "csdc" to "cdsc"):

a=sqn (NORMAL)
a=cdsc (TBD)
a=cpar (TBD)
a=cparmin (TBD)
a=cparmax (TBD)

I agree with the "sqn" category of NORMAL.

For the rest of them, the challenge we have is that they are essentially 
what we could call "encapsulating" attributes, i.e. they simply encode 
attributes or other parameters. This leads to a problem that may apply 
to other attributes as well: Currently, the mux mechanism seeems to only 
distinguish attributes at the attribute name level, however there are 
attributes where you have the same attribute-name appear many times, but 
further parameters in the attribute distinguish these (and as per the 
above, this distinction may in turn lead to different categories). Also 
note, that these attributes to not actually negotiate use of their 
encapsulated values; a separate signaling mechanism, e.g. O/A exchange,  
would be needed for this (as noted in RFC 3407, Section 2).

For "cdsc", I'd be inclined to put it in category "NORMAL", but for the 
rest of them, I'm not sure any of the current categories match, since it 
really depends on what was encapsulated in them (note that both bandwith 
and attributes can be encapsulated in them).

Thanks

-- Flemming

On 4/26/13 5:24 PM, Suhas Nandakumar wrote:
> Hello Flemming
> This is a request for reviewing the following sections
> 5.20
>
> of the draft
> draft-nandakumar-mmusic-sdp-mux-attributes-02
>
> It will be greatly appreciated if you could inform on your willingness 
> for reviewing the aforementioned sessions.
>
> It would be great to have your review feedback/comments/inputs before 
> June 9th 2013.
>
> The document is available here:
> http://tools.ietf.org/html/draft-nandakumar-mmusic-sdp-mux-attributes-02
>
>
> Thanks in Advance
>
> Regards
> Suhas Nandakumar

---

From: Suhas Nandakumar <[email-masked]>
Date: Sun, 14 Jul 2013 22:58:17 -0700

Thanks Flemming for the review inputs.

I was wondering does assigning SPECIAL to encapsulating attributes and
updating the Notes section to reflect that one should look into the
categorization of encapsulated attribute for assessing the behavior

Please let me know if this is the right way to go.

Cheers
Suhas

On Fri, Apr 26, 2013 at 2:24 PM, Suhas Nandakumar <[email-masked]>wrote:

> It will be greatly appreciated if you could inform on your willingness for
> reviewing the aforementioned sessions.
>
> It would be great to have your review feedback/comments/inputs before June
> 9th 2013.
>

---

From: Flemming Andreasen <[email-masked]>
Date: Mon, 15 Jul 2013 12:55:23 -0400

I'd lean towards a new category for these kinds of attributes.

-- Flemming

On 7/15/13 1:58 AM, Suhas Nandakumar wrote:
> On Fri, Apr 26, 2013 at 2:24 PM, Suhas Nandakumar <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hello Flemming
>     It will be greatly appreciated if you could inform on your
>     willingness for reviewing the aforementioned sessions.
>
>     It would be great to have your review feedback/comments/inputs
>     before June 9th 2013.
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic